Package ietf.params.xml.ns.icalendar_2

# Class ArrayOfComponents

java.lang.Object
ietf.params.xml.ns.icalendar_2.ArrayOfComponents

public class ArrayOfComponents extends Object

Java class for ArrayOfComponents complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayOfComponents">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseComponent" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<javax.xml.bind.JAXBElement<? extends BaseComponentType>>`
  `baseComponent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayOfComponents()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<javax.xml.bind.JAXBElement<? extends BaseComponentType>>`
  `getBaseComponent()`
  Gets the value of the baseComponent property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseComponent

    protected List<javax.xml.bind.JAXBElement<? extends BaseComponentType>> baseComponent

- ## Constructor Details

  - ### ArrayOfComponents

    public ArrayOfComponents()

- ## Method Details

  - ### getBaseComponent

    public List<javax.xml.bind.JAXBElement<? extends BaseComponentType>> getBaseComponent()
    Gets the value of the baseComponent property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseComponent property.

    For example, to add a new item, do as follows:

            getBaseComponent().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`